/*
*/

#ifndef Phonon_GST_UI_BACKEND_H
#define Phonon_GST_UI_BACKEND_H

#include <QObject>
#include <kdemacros.h>

namespace Phonon
{
namespace Gst
{
	class PHONON_GSTUI_EXPORT UiBackend : public QObject
	{
		Q_OBJECT
		public:
			UiBackend( QObject* parent, const QStringList& args );
			virtual ~UiBackend();

			Q_INVOKABLE QObject* createVideoWidget( QWidget* parent );
	};
}} // namespace Phonon::Gst

// vim: sw=4 ts=4 tw=80
#endif // Phonon_GST_UI_BACKEND_H
